<?php 

require $_SERVER['DOCUMENT_ROOT'] . '/sys/inc/home.php';
require H.'sys/inc/start.php';
require H.'sys/inc/compress.php';
require H.'sys/inc/sess.php';
require H.'sys/inc/settings.php';
require H.'sys/inc/db_connect.php';
require H.'sys/inc/ipua.php';
require H.'sys/inc/fnc.php';
require H.'sys/inc/adm_check.php';
require H.'sys/inc/user.php';
only_reg();

if (isset($_GET['to'])) {
  $anketa = user::get_user($_GET['to']);
}

if (isset($_GET['from']) && preg_match('/^([A-z0-9\_\-]+)$/', $_GET['from'])) {
  $from = $_GET['from'];
}

if (isset($_GET['object']) && preg_match('/^([0-9]+)$/', $_GET['object'])) {
  $object = (int) $_GET['object'];
} else {
  $object = '';
}

// Конфигурационный файл
require 'config.php';

if (!$anketa['id']) {
  if (!isset($from)) {
    die(__('Получатель не найден'));
  } else {
    header('Location: ' . $config['return'][$from]);
    exit;
  }
}

if ($anketa['id'] == $user['id']) {
  $err[] = __('Вы не можете быть получателем');
}

$ID = (isset($_GET['id']) ? (int) $_GET['id'] : 0);

$func = 'category';

if (isset($_GET['func']) && preg_match('#^([A-z0-9]+)$#i', $_GET['func'])) {
  if (is_file('func/' . $_GET['func'] . '.php')) {
    $func = $_GET['func'];
  }
}

require 'func/' . $func . '.php';

require H.'sys/inc/tfoot.php';